Page MenuHomePhabricator

Include mail on standard_packages.pp
Closed, ResolvedPublic

Description

I just noticed that the mail command is missing on labsdb hosts, which is used to report if there is any private data there.
However it is on sanitarium hosts (where we use it for the same reason).

On sanitarium hosts we have bsd-mailx installed, and on labsdb this has been working fine for years, but I cannot see the package anymore, so maybe when the role changed it was removed.
Rather than installing it on a per-role basis, maybe we should just ship it on standard_packages.pp (as per my chat with @Muehlenhoff).
The mail command is useful to have and definitely critical for our labsdb hosts.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2020, 9:35 AM
MoritzMuehlenhoff triaged this task as Medium priority.Nov 25 2020, 9:36 AM

Mentioned in SAL (#wikimedia-operations) [2020-11-25T09:45:34Z] <marostegui> Manually install apt-get install bsd-mailx on clouddb1015, labsdb1012 and labsdb1011 - T268725

Mentioned in SAL (#wikimedia-operations) [2020-12-01T11:48:53Z] <marostegui> Install bsd-mailx on the new clouddb hosts (needed for the check private data) T267090 T268725

Change 645055 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Move s-nail (providing mail(1)) to standard packages

https://gerrit.wikimedia.org/r/645055

Change 645055 merged by Muehlenhoff:
[operations/puppet@production] Move s-nail (providing mail(1)) to standard packages

https://gerrit.wikimedia.org/r/645055

Change 645071 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Move bsd-mailx (providing mail(1)) to standard packages

https://gerrit.wikimedia.org/r/645071

Change 645071 merged by Muehlenhoff:
[operations/puppet@production] Move bsd-mailx (providing mail(1)) to standard packages

https://gerrit.wikimedia.org/r/645071

MoritzMuehlenhoff closed this task as Resolved.Dec 4 2020, 10:35 AM
MoritzMuehlenhoff claimed this task.

bsd-mailx is now installed on all Stretch and Buster systems.